package kr.co.compcarecompany.Data;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class FileDatum {
    @SerializedName("pfi_idx")
    @Expose
    private String pfiIdx;
    @SerializedName("post_id")
    @Expose
    private String postId;
    @SerializedName("post_id2")
    @Expose
    private String postId2;
    @SerializedName("table_type")
    @Expose
    private String tableType;
    @SerializedName("mem_id")
    @Expose
    private String memId;
    @SerializedName("ag_idx")
    @Expose
    private String agIdx;
    @SerializedName("cp_idx")
    @Expose
    private String cpIdx;
    @SerializedName("pt_idx")
    @Expose
    private String ptIdx;
    @SerializedName("pfi_order")
    @Expose
    private String pfiOrder;
    @SerializedName("pfi_originname")
    @Expose
    private String pfiOriginname;
    @SerializedName("pfi_filename")
    @Expose
    private String pfiFilename;
    @SerializedName("pfi_download")
    @Expose
    private String pfiDownload;
    @SerializedName("pfi_filesize")
    @Expose
    private String pfiFilesize;
    @SerializedName("pfi_width")
    @Expose
    private String pfiWidth;
    @SerializedName("pfi_height")
    @Expose
    private String pfiHeight;
    @SerializedName("pfi_type")
    @Expose
    private String pfiType;
    @SerializedName("pfi_is_image")
    @Expose
    private String pfiIsImage;
    @SerializedName("pfi_datetime")
    @Expose
    private String pfiDatetime;
    @SerializedName("pfi_ip")
    @Expose
    private String pfiIp;
    @SerializedName("pfi_title")
    @Expose
    private String pfiTitle;
    @SerializedName("is_admin")
    @Expose
    private String isAdmin;
    @SerializedName("pfi_filesize_mb")
    @Expose
    private float pfiFilesizeMb;
    @SerializedName("url")
    @Expose
    private String url;

    public String getPfiIdx() {
        return pfiIdx;
    }

    public void setPfiIdx(String pfiIdx) {
        this.pfiIdx = pfiIdx;
    }

    public String getPostId() {
        return postId;
    }

    public void setPostId(String postId) {
        this.postId = postId;
    }

    public String getPostId2() {
        return postId2;
    }

    public void setPostId2(String postId2) {
        this.postId2 = postId2;
    }

    public String getTableType() {
        return tableType;
    }

    public void setTableType(String tableType) {
        this.tableType = tableType;
    }

    public String getMemId() {
        return memId;
    }

    public void setMemId(String memId) {
        this.memId = memId;
    }

    public String getAgIdx() {
        return agIdx;
    }

    public void setAgIdx(String agIdx) {
        this.agIdx = agIdx;
    }

    public String getCpIdx() {
        return cpIdx;
    }

    public void setCpIdx(String cpIdx) {
        this.cpIdx = cpIdx;
    }

    public String getPtIdx() {
        return ptIdx;
    }

    public void setPtIdx(String ptIdx) {
        this.ptIdx = ptIdx;
    }

    public String getPfiOrder() {
        return pfiOrder;
    }

    public void setPfiOrder(String pfiOrder) {
        this.pfiOrder = pfiOrder;
    }

    public String getPfiOriginname() {
        return pfiOriginname;
    }

    public void setPfiOriginname(String pfiOriginname) {
        this.pfiOriginname = pfiOriginname;
    }

    public String getPfiFilename() {
        return pfiFilename;
    }

    public void setPfiFilename(String pfiFilename) {
        this.pfiFilename = pfiFilename;
    }

    public String getPfiDownload() {
        return pfiDownload;
    }

    public void setPfiDownload(String pfiDownload) {
        this.pfiDownload = pfiDownload;
    }

    public String getPfiFilesize() {
        return pfiFilesize;
    }

    public void setPfiFilesize(String pfiFilesize) {
        this.pfiFilesize = pfiFilesize;
    }

    public String getPfiWidth() {
        return pfiWidth;
    }

    public void setPfiWidth(String pfiWidth) {
        this.pfiWidth = pfiWidth;
    }

    public String getPfiHeight() {
        return pfiHeight;
    }

    public void setPfiHeight(String pfiHeight) {
        this.pfiHeight = pfiHeight;
    }

    public String getPfiType() {
        return pfiType;
    }

    public void setPfiType(String pfiType) {
        this.pfiType = pfiType;
    }

    public String getPfiIsImage() {
        return pfiIsImage;
    }

    public void setPfiIsImage(String pfiIsImage) {
        this.pfiIsImage = pfiIsImage;
    }

    public String getPfiDatetime() {
        return pfiDatetime;
    }

    public void setPfiDatetime(String pfiDatetime) {
        this.pfiDatetime = pfiDatetime;
    }

    public String getPfiIp() {
        return pfiIp;
    }

    public void setPfiIp(String pfiIp) {
        this.pfiIp = pfiIp;
    }

    public String getPfiTitle() {
        return pfiTitle;
    }

    public void setPfiTitle(String pfiTitle) {
        this.pfiTitle = pfiTitle;
    }

    public String getIsAdmin() {
        return isAdmin;
    }

    public void setIsAdmin(String isAdmin) {
        this.isAdmin = isAdmin;
    }

    public float getPfiFilesizeMb() {
        return pfiFilesizeMb;
    }

    public void setPfiFilesizeMb(float pfiFilesizeMb) {
        this.pfiFilesizeMb = pfiFilesizeMb;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
}
